<?php

class HardlockHelper
{
	public static $hh;

	public function __construct()
	{
	}

	public static function getInstance()
	{
		if (!empty(self::$hh)) return self::$hh;
		self::$hh = new HardlockHelper();
		return self::$hh;
	}

	public static function getHardlock($hlNum = 0)
	{
		if ((int)$hlNum == 0) return (FALSE);
		MySqlHelper::getInstance()->query("SELECT * FROM `" . CRMADATBAZIS . "`.`hardlock` WHERE hlNum='" . (int)$hlNum . "' LIMIT 1;");
		$res = MySqlHelper::getInstance()->fetchAssoc();
		return (empty($res) ? FALSE : $res[0]);
	}
} // end of class
